WebSocket Connection

This endpoint sets up a WebSocket connection to receive updates on new transactions.

Once connected, the client can send command messages to the WebSocket in the following formats:

Subscribe to a feed:

Refer to the FeedSubscribeCommand schema for the command structure.

Subscribe to all feed events:

{
  "type": "subscribe_feed",
}

Subscribe to feed with filters. Filters tx_types, chains, tokens, min_usd_value, new_trade are optional:

{
  "type": "subscribe_feed",
  "filter": {
      "tx_types": ["transfer", "swap"],
      "chains": ["eth", "bsc"],
      "tokens": ["0x1234", "0x5678"],
      "min_usd_value": 1000,
      "new_trade": true
  }
}

Subscribe to feed for an new trades:

{
  "type": "subscribe_feed",
  "filter": {
      "new_trade": true
  }
}

Subscribe to feed for a certain list:

{
  "type": "subscribe_feed",
  "list_id": 12345
}

Unsubscribe from a feed:

Refer to the FeedUnsubscribeCommand schema for the command structure.

{
  "type": "unsubscribe_feed"
}

Subscribe to a wallet:

Refer to the WalletSubscribeCommand schema for the command structure.

Subscribe to all wallet events:

{
      "type": "subscribe_wallet",
      "wallet": "wallet-address",
}

Subscribe to wallet events with filters. Filters tx_types, chains, tokens, min_usd_value, new_trade are optional:

{
  "type": "subscribe_wallet",
  "wallet": "wallet-address",
  "filter": {
      "tx_types": ["transfer", "swap"],
      "chains": ["ethereum", "bsc"],
      "tokens": ["0x1234", "0x5678"],
      "min_usd_value": 1000,
      "new_trade": true
  }
}

Unsubscribe from a wallet:

Refer to the WalletUnsubscribeCommand schema for the command structure.

{
  "type": "unsubscribe_wallet",
  "wallet": "wallet-address"
}

The server will send back messages in the following schema:

Websocket Event Message:

Refer to the WebsocketEvent schema for the message structure.

{
  "type": "event_type",
  "data": {}
}

Supported Chains

The chains filter accepts the same chain identifiers used by the REST API. The authoritative live list is available at GET /api/v1/chains — any value not in that list will be rejected by the server when the command is validated.

Pricing Information

Every 10 messages sent over the WebSocket connection consume 1 credit.

Available Plans

Available on the following plans:

  • Builder
  • Architect
  • Enterprise
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*
application/json